﻿/*Telerik RadGrid Vista Skin*/

/*global*/

.RadGrid_HR
{
    border:1px solid #54819C;
    background:#fff;
    color:#333;
}

.RadGrid_HR,
.RadGrid_HR .rgMasterTable,
.RadGrid_HR .rgDetailTable,
.RadGrid_HR .rgGroupPanel table,
.RadGrid_HR .rgCommandRow table,
.RadGrid_HR .rgEditForm table,
.GridToolTip_HR
{
    font:11px/16px arial,sans-serif;
}

.RadGrid_HR .rgMasterTable,
.RadGrid_HR .rgDetailTable
{
    border-collapse:separate;
}

.RadGrid_HR .rgRow,
.RadGrid_HR .rgAltRow,
.RadGrid_HR .rgHeader,
.RadGrid_HR .rgResizeCol,
.RadGrid_HR .rgPager,
.RadGrid_HR .rgGroupPanel,
.RadGrid_HR .rgGroupHeader
{
	cursor:default;
}

.RadGrid_HR input[type="image"]
{
	cursor:pointer;
}

.RadGrid_HR .rgRow td,
.RadGrid_HR .rgAltRow td,
.RadGrid_HR .rgEditRow td,
.RadGrid_HR .rgFooter td,
.RadGrid_HR .rgFilterRow td,
.RadGrid_HR .rgHeader,
.RadGrid_HR .rgResizeCol,
.RadGrid_HR .rgGroupHeader td
{
	padding-left:7px;
	padding-right:7px;
}

.RadGrid_HR .rgHeader:first-child,
.RadGrid_HR th.rgResizeCol:first-child,
.RadGrid_HR .rgFilterRow>td:first-child,
.RadGrid_HR .rgRow>td:first-child,
.RadGrid_HR .rgAltRow>td:first-child
{
	border-left:0;
	padding-left:8px;
}

.RadGrid_HR .rgAdd,
.RadGrid_HR .rgRefresh,
.RadGrid_HR .rgEdit,
.RadGrid_HR .rgDel,
.RadGrid_HR .rgFilter,
.RadGrid_HR .rgPagePrev,
.RadGrid_HR .rgPageNext,
.RadGrid_HR .rgPageFirst,
.RadGrid_HR .rgPageLast,
.RadGrid_HR .rgExpand,
.RadGrid_HR .rgCollapse,
.RadGrid_HR .rgSortAsc,
.RadGrid_HR .rgSortDesc,
.RadGrid_HR .rgUpdate,
.RadGrid_HR .rgCancel,
.RadGrid_HR .rgUngroup
{
	width:16px;
	height:16px;
	border:0;
	margin:0;
	padding:0;
	background-color:transparent;
	background-image:url('../images/gridImages/sprite.gif');
	background-repeat:no-repeat;
	vertical-align:middle;
	font-size:1px;
	cursor:pointer;
}

.RadGrid_HR .rgGroupItem input,
.RadGrid_HR .rgCommandRow img,
.RadGrid_HR .rgHeader input,
.RadGrid_HR .rgFilterRow img,
.RadGrid_HR .rgFilterRow input,
.RadGrid_HR .rgPager img
{
	vertical-align:middle;
}

/*header*/

.RadGrid_HR .rgHeaderDiv
{
	background:#ebeef6 0 -5900px repeat-x url('../images/gridImages/sprite.gif');
}
.rgTwoLines .rgHeaderDiv
{
	background-position:0 -6200px;
}

.rgNoScrollImage .rgHeaderDiv
{
	background-image:none;
}

.RadGrid_HR .rgHeader,
.RadGrid_HR th.rgResizeCol
{
	border:1px solid;
	border-color:#fff #3979B9 #1E4062 #234A72;
	border-top:0;
	padding-top:2px;
	padding-bottom:2px;
	background:0 -2300px repeat-x #2D5F91 url('../images/gridImages/sprite.gif');
	text-align:left;
	font-weight:normal;
}

.RadGrid_HR th.rgSorted
{
	border-bottom-color:#40446A;
	background-color:#2D5F91;
	background-position:0 -2600px;
}

.RadGrid_HR .rgHeader,
.RadGrid_HR .rgHeader a
{
    color:#EAEAEA;
    text-decoration:none;
}

.RadGrid_HR .rgCheck
{
	height:15px;
	margin:0;
	padding:0;
}

/*rows*/

.RadGrid_HR .rgRow td,
.RadGrid_HR .rgAltRow td,
.RadGrid_HR .rgEditRow td,
.RadGrid_HR .rgFooter td
{
	border:1px solid;
	border-top:0;
	padding-top:4px;
	padding-bottom:3px;
}

.RadGrid_HR .rgAltRow
{
 background-color: #EFEFEF;
}

.RadGrid_HR .rgRow td,
.RadGrid_HR .rgAltRow td
{
	border-color:#fff #fff #fff #ededed;
}

.RadGrid_HR .rgRow .rgSorted,
.RadGrid_HR .rgAltRow .rgSorted
{
	background-color:#f2f3f5;
}

.RadGrid_HR .rgSelectedRow .rgSorted,
.RadGrid_HR .rgActiveRow .rgSorted,
.RadGrid_HR .rgHoveredRow .rgSorted,
.RadGrid_HR .rgEditRow .rgSorted
{
	background-color:transparent;
}

.RadGrid_HR .rgRow a,
.RadGrid_HR .rgAltRow a,
.RadGrid_HR .rgEditRow a,
.RadGrid_HR .rgFooter a,
.RadGrid_HR .rgEditForm a
{
	color:#333;
}

.RadGrid_HR .rgSelectedRow
{
    background:#abdbf5 0 -3900px repeat-x url('../images/gridImages/sprite.gif');
}
*+html .RadGrid_HR .rgSelectedRow .rgSorted{background-color:#abdbf5}
* html .RadGrid_HR .rgSelectedRow .rgSorted{background-color:#abdbf5}

.RadGrid_HR .rgActiveRow,
.RadGrid_HR .rgHoveredRow
{
    background:#BECAD8 0 -2900px repeat-x url('../images/gridImages/sprite.gif');
}
*+html .RadGrid_HR .rgActiveRow .rgSorted,
*+html .RadGrid_HR .rgHoveredRow .rgSorted{background-color:#BECAD8}
* html .RadGrid_HR .rgActiveRow .rgSorted,
* html .RadGrid_HR .rgHoveredRow .rgSorted{background-color:#BECAD8}

.RadGrid_HR .rgEditRow
{
	background:#96cfee 0 -4900px repeat-x url('../images/gridImages/sprite.gif');
}
*+html .RadGrid_HR .rgEditRow .rgSorted{background-color:#96cfee}
* html .RadGrid_HR .rgEditRow .rgSorted{background-color:#96cfee}

.RadGrid_HR .rgSelectedRow td,
.RadGrid_HR .rgActiveRow td,
.RadGrid_HR .rgHoveredRow td,
.RadGrid_HR .rgEditRow td
{
	
	padding-left:8px;
	padding-right:8px;
}

.RadGrid_HR .rgSelectedRow td
{
	border-bottom-color:#d7f0fc;
}

.RadGrid_HR .rgActiveRow td,
.RadGrid_HR .rgHoveredRow td
{
	border-bottom-color:#54819C;
}

/*footer*/

.RadGrid_HR .rgFooterDiv,
.RadGrid_HR .rgFooter
{
	background:#e0e5f5;
}

.RadGrid_HR .rgFooter td
{
	border-top-width:1px;
	border-color:#aec5d1 #e0e5f5 #fff #e0e5f5;
}

/*status*/

.RadGrid_HR .rgPager .rgStatus
{
	width:35px;
	border:1px solid;
	border-color:#aec5d1 #9cb6c5 #fff #9cb6c5;
	border-left:0;
	padding:3px 0 2px;
}

.RadGrid_HR .rgStatus div
{
	width:24px;
	height:24px;
	overflow:hidden;
	border:0;
	margin:0 auto;
	padding:0;
	background:transparent center center no-repeat url('../images/gridImages/loading.gif');
	text-indent:-2222px;
}

/*pager*/

#divDataGrid .RadGrid_HR .rgMasterTable .rgPager
{
	background:#eff7fc;
}

#divDataGrid .RadGrid_HR .rgMasterTable .rgPager td
{
	padding:0;
}

#divDataGrid .RadGrid_HR .rgMasterTable .rgPager .rgPagerCell
{
	border:1px solid;
	border-color:#aec5d1 #fff #fff;
	border-right:0;
	padding:3px 0 2px;
}

#divDataGrid .RadGrid_HR .rgMasterTable .rgPager .rgPagerCell .rgWrap
{
	float:left;
	padding:0px 10px 0px 10px;
	line-height:26px;
	white-space:nowrap;
}

#divDataGrid .RadGrid_HR .rgMasterTable .rgPager .rgPagerCell .rgArrPart1
{
	padding-right:0;
	line-height:22px;
}

#divDataGrid .RadGrid_HR .rgMasterTable .rgPager .rgPagerCell .rgArrPart2
{
	padding-left:0;
	line-height:22px;
}

#divDataGrid .RadGrid_HR .rgMasterTable .rgPager .rgPagerCell .rgArrPart1,
#divDataGrid .RadGrid_HR .rgMasterTable .rgPager .rgPagerCell .rgArrPart2
{
	vertical-align: bottom !important;
	padding-top: 0px !important;
}

#divDataGrid .RadGrid_HR .rgMasterTable .rgPager .rgPagerCell .rgWrap img
{
	margin:0 8px !important;
}


#divDataGrid .RadGrid_HR .rgMasterTable .rgPager .rgPagerCell .rgInfoPart
{
	float:right;
	color:#8a8a8a;
	padding-top:0px;
}

#divDataGrid .RadGrid_HR .rgMasterTable .rgPager .rgPagerCell .rgInfoPart strong
{
	font-weight:normal;
	color:#4c4e54;
}

.RadGrid_HR .rgSEO .rgArrPart1,
.RadGrid_HR .rgSEO .rgArrPart2
{
	line-height:24px;
}

#divDataGrid .RadGrid_HR .rgWrap a img
{
	margin:0 8px;
}

#divDataGrid .RadGrid_HR .rgMasterTable .rgPager .rgPagerCell .rgPageFirst,
#divDataGrid .RadGrid_HR .rgMasterTable .rgPager .rgPagerCell .rgPagePrev,
#divDataGrid .RadGrid_HR .rgMasterTable .rgPager .rgPagerCell .rgPageNext,
#divDataGrid .RadGrid_HR .rgMasterTable .rgPager .rgPagerCell .rgPageLast
{
	width:22px;
	height:24px;
}

#divDataGrid .RadGrid_HR .rgPageFirst
{
	background-position:0 -549px;
}
#divDataGrid .RadGrid_HR .rgPageFirst:hover
{
	background-position:0 -599px;
}
#divDataGrid .RadGrid_HR .rgPagePrev
{
	background-position:0 -699px;
}
#divDataGrid .RadGrid_HR .rgPagePrev:hover
{
	background-position:0 -749px;
}
#divDataGrid .RadGrid_HR .rgPageNext
{
	background-position:0 -849px;
}
#divDataGrid .RadGrid_HR .rgPageNext:hover
{
	background-position:0 -899px;
}
#divDataGrid .RadGrid_HR .rgPageLast
{
	background-position:0 -999px;
}
#divDataGrid .RadGrid_HR .rgPageLast:hover
{
	background-position:0 -1049px;
}

#divDataGrid .RadGrid_HR .rgPagerButton
{
	height:22px;
	border:1px solid #a6d9f4;
	margin:0 14px 0 0;
	padding:0 4px 2px;
	background:#cfcfcf repeat-x 0 -1550px url('../images/gridImages/sprite.gif');
	color:#000;
	font:12px/12px "segoe ui",arial,sans-serif;
	vertical-align:middle;
	cursor:pointer;
}

#divDataGrid .RadGrid_HR .rgMasterTable .rgPager .rgPagerCell .rgNumPart
{
	padding:2px 0;
}

#divDataGrid .RadGrid_HR .rgMasterTable .rgPager .rgPagerCell .rgNumPart
{
	padding:0px 0px 0px 0px;
}

.RadGrid_HR .rgNumPart a:hover,
.RadGrid_HR .rgNumPart a:hover span,
.RadGrid_HR .rgNumPart a.rgCurrentPage,
.RadGrid_HR .rgNumPart a.rgCurrentPage span
{
	background:no-repeat url('../images/gridImages/sprite.gif');
}

.RadGrid_HR .rgNumPart a
{
	float:left;
	line-height:22px;
	margin:0;
	padding:0 5px 0 0;
	color:#000;
	text-decoration:none;
}

.RadGrid_HR .rgNumPart span
{
	float:left;
	padding:0 0 0 5px;
}

.RadGrid_HR .rgNumPart a:hover
{
	background-position:100% -1250px;
	color:#06c;
}

.RadGrid_HR .rgNumPart a:hover span
{
	background-position:0 -1150px;
	cursor:pointer;
}

.RadGrid_HR .rgNumPart a.rgCurrentPage,
.RadGrid_HR .rgNumPart a.rgCurrentPage:hover
{
	background-position:100% -1450px;
	color:#000;
	cursor:default;
}

.RadGrid_HR .rgNumPart a.rgCurrentPage span,
.RadGrid_HR .rgNumPart a.rgCurrentPage:hover span
{
	background-position:0 -1350px;
	cursor:default;
}

.RadGrid_HR .NextPrevNumericAndAdvanced .rgAdvPart
{
	float:none;
	text-align:center;
}

.RadGrid_HR .rgPager .RadSlider
{
	float:left;
	margin:2px 10px 0 0;
}

.RadGrid_HR .rgPager .rgPagerLabel,
.RadGrid_HR .rgPager .RadComboBox,
.RadGrid_HR .rgPager .RadInput_HR
{
	margin:0 4px 0 0;
	vertical-align:middle;
}

.RadGrid_HR .rgPager .RadComboBox
{
	margin-top:-1px;
}
*+html .RadGrid_HR .rgPager .RadComboBox{margin-top:-2px;}
* html .RadGrid_HR .rgPager .RadComboBox{margin-top:-2px;}

* html .RadGrid_HR .rgPager .RadComboBox{padding:1px 0;}

.RadGrid_HR .rgPagerTextBox
{
	text-align:center;
}

/*sorting, reordering*/

.RadGrid_HR .rgHeader .rgSortAsc
{
	background-position:3px -248px;
	height:10px;
}

.RadGrid_HR .rgHeader .rgSortDesc
{
	background-position:3px -198px;
	height:10px;
}

.GridReorderTop_HR,
.GridReorderBottom_HR
{
	width:9px !important;
	height:9px !important;
	margin-left:-5px;
	background:0 0 no-repeat url('../images/gridImages/sprite.gif');
}

.GridReorderBottom_HR
{
	background-position:0 -50px;
}

/*filtering*/

.RadGrid_HR .rgFilterRow
{
	background:#ebeef6;
}

.RadGrid_HR .rgFilterRow td
{
    padding-top:5px;
    padding-bottom:6px;
    border-left:1px solid #ededed;
    border-right:1px solid #fff;
}

.RadGrid_HR .rgFilter
{
	width:22px;
	height:22px;
	margin:0 0 0 2px;
	background-position:0 -300px;
}

.RadGrid_HR .rgFilter:hover
{
	background-position:0 -350px;
}

.RadGrid_HR .rgFilterActive,
.RadGrid_HR .rgFilterActive:hover
{
	background-position:0 -400px;
}

.RadGrid_HR .rgFilterBox
{
	border:1px solid;
	border-color:#abadb3 #dbdfe6 #e3e9ef #e2e3ea;
	padding:2px 1px 3px;
	font:12px "segoe ui",arial,sans-serif;
	color:#333;
	vertical-align:middle;
}

/*grouping*/

.RadGrid_HR .rgGroupPanel
{
	border:1px solid;
	border-color:#eaedf6 #f2f5fa #9cb6c5;
	background:#e6ebf5 0 -1900px repeat-x url('../images/gridImages/sprite.gif');
}

.RadGrid_HR .rgGroupPanel td
{
	border:0;
	border-bottom:1px solid #f2f5fa;
	padding:0;
}

.RadGrid_HR .rgGroupPanel td td
{
	border:0;
	padding:2px 3px 1px;
}

.RadGrid_HR .rgGroupPanel td td td
{
	padding:0;
}

.RadGrid_HR .rgGroupPanel .rgSortAsc
{
	background-position:4px -144px;
}

.RadGrid_HR .rgGroupPanel .rgSortDesc
{
	background-position:4px -94px;
}

.RadGrid_HR .rgUngroup
{
	background-position:0 -7200px;
}

.RadGrid_HR .rgGroupItem
{
	border:1px solid;
	border-color:#8a929e #9298a1 #9298a1;
	padding:0 2px 1px 3px;
	background:#e6ebf5 0 -7000px repeat-x url('../images/gridImages/sprite.gif');
	line-height:20px;
	font-weight:normal;
	vertical-align:middle;
}

.RadGrid_HR .rgGroupHeader
{
    background:0 -6489px repeat-x url('../images/gridImages/sprite.gif');
    font-size:1.1em;
    line-height:21px;
	color:#039;
}

.RadGrid_HR .rgGroupHeader td
{
    padding:0 8px;
}

.RadGrid_HR .rgGroupHeader .rgGroupCol
{
	background:#fff none;
}

.RadGrid_HR .rgExpand
{
	background-position:5px -496px;
}

.RadGrid_HR .rgCollapse
{
	background-position:3px -444px;
}

.RadGrid_HR .rgGroupHeader .rgExpand,
.RadGrid_HR .rgGroupHeader .rgCollapse
{
	background-color:#fff;
}

.RadGrid_HR .rgGroupHeader td p
{
    display:inline;
    margin:0;
    padding:0 10px;
    background:#fff;
}

.RadGrid_HR .rgGroupHeader td div div
{
	top:-0.8em;
	padding:0 10px;
	background:#fff;
}

.RadGrid_HR .rgGroupHeader td div div div
{
	top:0;
	padding:0;
	border:0;
}

/*editing*/

.RadGrid_HR .rgEditForm
{
	border-bottom:1px solid #ededed;
}

.RadGrid_HR .rgUpdate
{
	background-position:0 -1800px;
}

.RadGrid_HR .rgCancel
{
	background-position:2px -1848px;
}

/*hierarchy*/

.RadGrid_HR .rgDetailTable
{
	border:1px solid #ededed;
	border-right:0;
}

/*command row*/

.RadGrid_HR .rgCommandRow
{
	background:#4e96aa 0 -2099px repeat-x url('../images/gridImages/sprite.gif');
	color:#fff;
}

.RadGrid_HR .rgCommandRow td
{
	border:1px solid;
	border-color:#000 #75a4b7 #000;
	padding:0;
}

.RadGrid_HR .rgCommandRow td td
{
	border:0;
	padding:3px 7px 4px;
}

.RadGrid_HR .rgCommandRow td td td
{
	padding:1px;
}

.RadGrid_HR .rgCommandRow table
{
	border:0;
	border-top:1px solid #b2ccd8;
	border-bottom:1px solid #95c3ce;
}

.RadGrid_HR .rgCommandRow table table
{
	border:0;
}

.RadGrid_HR .rgCommandRow a
{
	color:#fff;
	text-decoration:none;
}

.RadGrid_HR .rgAdd
{
	margin-right:3px;
	background-position:0 -1650px;
}

.RadGrid_HR .rgRefresh
{
	margin-right:3px;
	background-position:0 -1600px;
}

.RadGrid_HR .rgEdit
{
	background-position:0 -1700px;
}

.RadGrid_HR .rgDel
{
	background-position:0 -1750px;
}

/*multirow select*/

.GridRowSelector_HR
{
	background:#039;
}

/*row drag n drop*/

.GridItemDropIndicator_HR
{
    border-top:1px dashed #039;
}

/*tooltip*/

.GridToolTip_HR
{
	border:1px solid #767676;
	padding:3px;
	background:#e4e5f0;
	color:#000;
}

/*rtl*/

.RadGridRTL_HR .rgHeader,
.RadGridRTL_HR .rgResizeCol
{
	text-align:right;
}

.RadGridRTL_HR .rgHeader:first-child,
.RadGridRTL_HR th.rgResizeCol:first-child,
.RadGridRTL_HR .rgFilterRow>td:first-child,
.RadGridRTL_HR .rgRow>td:first-child,
.RadGridRTL_HR .rgAltRow>td:first-child
{
	border-left:1px solid;
	padding-left:7px;
}

.RadGridRTL_HR .rgPager .rgStatus
{
	border-right:0;
	border-left-width:1px;
}

.RadGridRTL_HR .rgWrap
{
	float:right;
}

.RadGridRTL_HR .rgInfoPart
{
	float:left;
}

.RadGridRTL_HR .rgNumPart
{
	width:220px;
}

.RadGridRTL_HR .rgNumPart a
{
	float:right;
}

.RadGridRTL_HR .rgDetailTable
{
	border-right:1px solid;
	border-left:0;
}